#include <iostream>
#include <vector>
using namespace std;

int main() {
    int num_stalak, max_visina;
    cin >> num_stalak >> max_visina;

    vector<int> stalaktiti(num_stalak);
    for (int i = 0; i < num_stalak; ++i) {
        cin >> stalaktiti[i];
    }

    for (int i = 0; i < num_stalak; ++i) {
        if (stalaktiti[i] <= max_visina) {
            cout << i + 1 << endl;
            return 0;
        }
    }

    cout << -1 << endl;

    return 0;
}